#!/bin/bash

adb=platform-tools/adb


echo "Waiting for device..."
 
$adb wait-for-device

A=$($adb shell getprop sys.boot_completed | tr -d '\r')

while [ "$A" != "1" ]; do
    sleep 2
    A=$($adb shell getprop sys.boot_completed | tr -d '\r')
done

echo "Clearing Navistream Data..."
echo ""
$adb shell pm clear ca.stti.navistream.vehicleClient.kiosk
echo ""
echo ""

sleep 5

echo "Starting Navistream..."
echo ""
$adb shell am start ca.stti.navistream.vehicleClient.kiosk
echo ""
echo ""
